| v_hdmirxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Data Structures | Enumerations | Functions | Variables
ONSEMI_NB7NQ621M

## Data Structures
struct | Onsemi_RegisterField
| This typedef contains translations of FRL_Rate to Lanes and Line Rates. More...

## Enumerations
enum | Onsemi_DeviceType
| FRL Character Rate Enumeration. More...

## Functions
int | ONSEMI_NB7NQ621M_Init (void *IicPtr, u8 I2CSlaveAddress, u8 Revision, u8 IsTx)
| This function initializes the ONSEMI NB7NQ621M with default values for use with the Video FMC. More...
int | ONSEMI_NB7NQ621M_CheckDeviceID (void *IicPtr, u8 I2CSlaveAddress)
| This function checks the ONSEMI NB7NQ621M device ID. More...
u8 | ONSEMI_NB7NQ621M_CheckDeviceVersion (void *IicPtr, u8 I2CSlaveAddress)
| This function checks the ONSEMI NB7NQ621M Device Revision Number. More...
int | ONSEMI_NB7NQ621M_LineRateReconfig (void *IicPtr, u8 I2CSlaveAddress, u8 Revision, u8 IsFRL, u64 LineRate, u8 IsTx)
| This function reconfigures the ONSEMI NB7NQ621M cable redriver. More...
void | ONSEMI_NB7NQ621M_RegisterLibraryDump (void)
| This function prints out all the contents from OnsemiRegisterFields array. More...
void | ONSEMI_NB7NQ621M_RegisterDump (void *IicPtr, u8 I2CSlaveAddress)
| This function displays a registerdump of the ONSEMI NB7NQ621M device. More...

## Variables
const Onsemi_RegisterField | OnsemiRegisterFields []
| This table contains the values to be programmed to ONSEMI device. More...

## Enumeration Type Documentation

enum Onsemi_DeviceType

FRL Character Rate Enumeration.

## Function Documentation

int ONSEMI_NB7NQ621M_CheckDeviceID | ( | void * | IicPtr,
|  | u8 | I2CSlaveAddress
| ) |  |

This function checks the ONSEMI NB7NQ621M device ID.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

Referenced by ONSEMI_NB7NQ621M_RegisterDump().

u8 ONSEMI_NB7NQ621M_CheckDeviceVersion | ( | void * | IicPtr,
|  | u8 | I2CSlaveAddress
| ) |  |

This function checks the ONSEMI NB7NQ621M Device Revision Number.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

int ONSEMI_NB7NQ621M_Init | ( | void * | IicPtr,
|  | u8 | I2CSlaveAddress,
|  | u8 | Revision,
|  | u8 | IsTx
| ) |  |

This function initializes the ONSEMI NB7NQ621M with default values for use with the Video FMC.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.
  Revision | is the revision number of the ONSEMI device.
  IsTx | specifies if the configuration is for TX or RX.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

int ONSEMI_NB7NQ621M_LineRateReconfig | ( | void * | IicPtr,
|  | u8 | I2CSlaveAddress,
|  | u8 | Revision,
|  | u8 | IsFRL,
|  | u64 | LineRate,
|  | u8 | IsTx
| ) |  |

This function reconfigures the ONSEMI NB7NQ621M cable redriver.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.
  Revision | is the revision number of the ONSEMI device.
  IsFRL | specifies if the mode is FRL or TMDS.
  LineRate | specifies the linerate.
  IsTx | specifies if the configuration is for TX or RX.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

void ONSEMI_NB7NQ621M_RegisterDump | ( | void * | IicPtr,
|  | u8 | I2CSlaveAddress
| ) |  |

This function displays a registerdump of the ONSEMI NB7NQ621M device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  None

Note
  None.

References ONSEMI_NB7NQ621M_CheckDeviceID().

void ONSEMI_NB7NQ621M_RegisterLibraryDump | ( | void |  | ) |

This function prints out all the contents from OnsemiRegisterFields array.

Parameters

  None |

Returns
  None

Note
  None.

References OnsemiRegisterFields.

## Variable Documentation

const Onsemi_RegisterField OnsemiRegisterFields[]

This table contains the values to be programmed to ONSEMI device.

Each entry is of the format: 1) Device Type 2) Register Address 3) Values

Referenced by ONSEMI_NB7NQ621M_RegisterLibraryDump().